=== debian/changelog ===
libsemanage (2.8-2) unstable; urgency=medium

  * d/p/0001-libsemanage-Always-set-errno-to-0-before-calling-get.patch:
    Fix boggus error message when calling genhomedircon
  * Bump Standards-Version to 4.3.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Jan 2019 13:09:51 +0100

libsemanage (2.8-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/libsemanage1.symbols: Add new exported symbol
  * debian/control: Point Vcs-* fields to new (salsa) machine
  * debian/rules: Adjust to match upstream changes to the build system
  * debian/copyright: Fix a spelling error, thanks to lintian
  * debian/control: Bump Standards-Version to 4.1.4 (no further changes)
  * debian/rules: Use dh_missing --list-missing instead of dh_install
  * debian/control: Remove X-Python(3)-Version fields as the required version
    is already in oldstable, to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 May 2018 12:05:37 +0200
