## libsemanage 2.9

=== debian/changelog ===
libsemanage (2.9-3) unstable; urgency=medium

  * Drop python-semanage package, python 2 is EOL and it has not rdeps
  * Bump Standards-Version to 4.4.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 22 Jul 2019 01:51:03 +0200

libsemanage (2.9-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Mark libsemanage1-dev and ruby-semanage as Multi-Arch same

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jul 2019 23:18:44 +0200

libsemanage (2.9-1) experimental; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/watch: Adjust the URL
  * debian/patches/semigrate-store.patch: Refreshed
  * d/p/0001-libsemanage-Always-set-errno-to-0-before-calling-get.patch:
    Dropped, applied upstream
  * debian/libsemanage-common.install: Install manpages in Russian
  * debian/patches/libexec-path.patch: Also fix the path in the Russian
    manpage

 -- Laurent Bigonville <bigon@debian.org>  Mon, 18 Mar 2019 14:30:12 +0100
