=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: bison,
                debhelper (>= 10),
                dh-python <!nopython>,
@@ -16,10 +16,9 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 2.8),
-               libsepol1-dev (>= 2.8),
+               libselinux1-dev (>= 2.9),
+               libsepol1-dev (>= 2.9),
                pkg-config,
-               python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
@@ -79,13 +78,14 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.8),
+         libselinux1-dev (>= 2.9),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.8),
+         libsepol1-dev (>= 2.9),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
 Conflicts: libsemanage-dev
+Multi-Arch: same
 Description: Header files and libraries for SELinux policy manipulation
  This package provides an API for the management of SELinux policies.
  It contains the static libraries and header files needed
@@ -107,28 +107,10 @@
 Section: ruby
 Build-Profiles: <!noruby>
 XB-Ruby-Versions: ${ruby:Versions}
+Multi-Arch: same
 Description: Ruby bindings to for SELinux policy management
  This package provides the Ruby bindings needed for developing Ruby
  applications that manage SELinux policies.
- .
- Security-enhanced Linux is a patch of the Linux kernel and a
- number of utilities with enhanced security functionality designed to
- add mandatory access controls to Linux.  The Security-enhanced Linux
- kernel contains new architectural components originally developed to
- improve the security of the Flask operating system. These
- architectural components provide general support for the enforcement
- of many kinds of mandatory access control policies, including those
- based on the concepts of Type Enforcement, Role-based Access
- Control, and Multi-level Security.
-
-Package: python-semanage
-Architecture: linux-any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Section: python
-Build-Profiles: <!nopython>
-Description: Python bindings for SELinux policy management
- This package provides Python bindings for the management of SELinux
- policies.
  .
  Security-enhanced Linux is a patch of the Linux kernel and a
  number of utilities with enhanced security functionality designed to
@@ -161,10 +143,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.8),
+Depends: libsepol1 (>= 2.9),
          python3 (>= 3.2),
-         python3-selinux (>= 2.8),
-         python3-semanage (>= 2.8),
+         python3-selinux (>= 2.9),
+         python3-semanage (>= 2.9),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
