=== debian/changelog ===
libsemanage (3.0-1build2) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:50 +0000

libsemanage (3.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:43 +0100

libsemanage (3.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - d/p/fix_tests.patch: Fix the tests to run from the released tarball and
      add secilc to the Build-dependencies
  * Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12
  * Drop d/p/libexec-path.patch: look for hll compiler in /usr/libexec add
    Breaks against policycoreutils << 3.0 to be sure the exec is installed

 -- Laurent Bigonville <bigon@debian.org>  Thu, 12 Dec 2019 11:47:10 +0100
