=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Build-Depends: bison,
-               debhelper (>= 10),
+               debhelper (>= 12),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,10 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 2.9),
-               libsepol1-dev (>= 2.9),
+               libselinux1-dev (>= 3.0),
+               libsepol1-dev (>= 3.0),
                pkg-config,
                python3-all-dev <!nopython>,
+               secilc (>= 3.0) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
@@ -51,7 +52,7 @@
 Depends: libsemanage-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: policycoreutils (<< 2.4),
+Breaks: policycoreutils (<< 3.0),
         selinux-policy-default (<< 2:2.20140421-10~),
         selinux-policy-mls (<< 2:2.20140421-10~)
 Pre-Depends: ${misc:Pre-Depends}
@@ -78,9 +79,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.9),
+         libselinux1-dev (>= 3.0),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.9),
+         libsepol1-dev (>= 3.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
@@ -143,10 +144,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.9),
+Depends: libsepol1 (>= 3.0),
          python3 (>= 3.2),
-         python3-selinux (>= 2.9),
-         python3-semanage (>= 2.9),
+         python3-selinux (>= 3.0),
+         python3-semanage (>= 3.0),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
