=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,6 @@
 DOPACKAGES = $(shell dh_listpackages)
 
 DH_ADDONS=
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-PYVERSIONS = $(shell pyversions -rv)
-DH_ADDONS += --with=python2
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 PY3VERSIONS = $(shell py3versions -rv)
 DH_ADDONS += --with=python3
@@ -33,11 +29,6 @@
 override_dh_auto_build:
 	$(MAKE) all
 
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
-	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
-	done;
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
 	  $(MAKE) pywrap PYTHON=python$$version PYLIBS=; \
@@ -55,11 +46,6 @@
 	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
 	  SELINUXEXECDIR="/usr/lib/selinux"
 
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
-	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
-	done;
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
 	  $(MAKE) install-pywrap PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp"; \
@@ -72,8 +58,8 @@
 endif
 
 override_dh_auto_clean:
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	set -e; for version in $(PYVERSIONS); do         \
+ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
+	set -e; for version in $(PY3VERSIONS); do         \
 	  $(MAKE) clean PYTHON=python$$version;  \
 	done;
 endif
@@ -83,9 +69,6 @@
 
 override_dh_fixperms:
 	dh_fixperms
-ifneq ($(filter python-semanage,$(DOPACKAGES)),)
-	chmod -x ${CURDIR}/debian/python-semanage/usr/lib/python*/*-packages/semanage.py
-endif
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	chmod -x ${CURDIR}/debian/python3-semanage/usr/lib/python*/*-packages/semanage.py
 endif
