=== debian/changelog ===
libsemanage (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * Set upstream metadata fields: Bug-Submit.
  * debian/gitlab-ci.yml: Add salsa CI
  * debian/rules: Clean the ruby bindings built for all versions, this fixes
    the ability to build the package twice (Closes: #951630)
  * debian/rules: Call dh_auto_clean even if we are not building any bindings
  * debian/rules: Add support to run make in parallel
  * Move semanage_migrate_store to /usr/libexec/selinux
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 1.6-1.
  * Update standards version to 4.5.0, no changes needed.

 -- Laurent Bigonville <bigon@debian.org>  Wed, 15 Jul 2020 09:58:16 +0200
