=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: bison,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,14 +16,15 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.0),
-               libsepol1-dev (>= 3.0),
+               libselinux1-dev (>= 3.1),
+               libsepol1-dev (>= 3.1),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.0) <!nocheck>,
+               secilc (>= 3.1) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
+Rules-Requires-Root: no
 
 Package: libsemanage-common
 Architecture: all
@@ -79,9 +80,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.0),
+         libselinux1-dev (>= 3.1),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.0),
+         libsepol1-dev (>= 3.1),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
@@ -144,10 +145,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 3.0),
+Depends: libsepol1 (>= 3.1),
          python3 (>= 3.2),
-         python3-selinux (>= 3.0),
-         python3-semanage (>= 3.0),
+         python3-selinux (>= 3.1),
+         python3-semanage (>= 3.1),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
