=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,16 @@
 #export DH_VERBOSE=1
 
 include /usr/share/dpkg/architecture.mk
-ifeq ($(origin CC),default)
-CC := $(DEB_HOST_GNU_TYPE)-gcc
+# for cross compilation
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+export CC := $(DEB_HOST_GNU_TYPE)-gcc
+export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
 endif
-export CC
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 DOPACKAGES = $(shell dh_listpackages)
 
@@ -19,9 +25,11 @@
 DH_ADDONS += --with=ruby
 endif
 
+# Upstream recommends using this flag
+export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
-export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
 
 %:
 	dh $@ $(DH_ADDONS)
@@ -43,8 +51,7 @@
 override_dh_auto_install:
 	$(MAKE) install DESTDIR="${CURDIR}/debian/tmp" \
 	  LIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
-	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}" \
-	  SELINUXEXECDIR="/usr/lib/selinux"
+	  SHLIBDIR="/usr/lib/${DEB_HOST_MULTIARCH}"
 
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do        \
@@ -58,9 +65,15 @@
 endif
 
 override_dh_auto_clean:
+	dh_auto_clean
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do         \
 	  $(MAKE) clean PYTHON=python$$version;  \
+	done;
+endif
+ifneq ($(filter ruby-semanage,$(DOPACKAGES)),)
+	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(MAKE) clean RUBY=$$version; \
 	done;
 endif
