## libsemanage 3.2

=== debian/changelog ===
libsemanage (3.2-1) experimental; urgency=medium

  * New upstream version
    - debian/control: Bump {build-}dependencies to match new release
    - Bump the soname from 1 to 2, drop the soname from the -dev package
  * debian/watch: Update the URL to follow the new tagging format
  * debian/control: Drop ancients Breaks against selinux-policy-default and
    selinux-policy-mls
  * debian/patches/fix_tests.patch: Add the Forwarded tag to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Apr 2021 13:52:18 +0200
