=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.1),
-               libsepol1-dev (>= 3.1),
+               libselinux1-dev (>= 3.2),
+               libsepol-dev (>= 3.2),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.1) <!nocheck>,
+               secilc (>= 3.2) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 XS-Ruby-Versions: all
@@ -30,8 +30,6 @@
 Architecture: all
 Section: libs
 Depends: ${misc:Depends}
-Breaks: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
-Replaces: libsemanage1 (<= 2.0.41-1), libsemanage1-dev (<< 2.1.6-3~)
 Multi-Arch: foreign
 Description: Common files for SELinux policy management libraries
  This package provides the common files used by the shared libraries
@@ -47,15 +45,13 @@
  based on the concepts of Type Enforcement, Role-based Access
  Control, and Multi-level Security.
 
-Package: libsemanage1
+Package: libsemanage2
 Architecture: linux-any
 Section: libs
 Depends: libsemanage-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: policycoreutils (<< 3.0),
-        selinux-policy-default (<< 2:2.20140421-10~),
-        selinux-policy-mls (<< 2:2.20140421-10~)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SELinux policy management library
@@ -77,16 +73,16 @@
  based on the concepts of Type Enforcement, Role-based Access
  Control, and Multi-level Security.
 
-Package: libsemanage1-dev
+Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.1),
-         libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.1),
+         libselinux1-dev (>= 3.2),
+         libsemanage2 (= ${binary:Version}),
+         libsepol-dev (>= 3.2),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: libsemanage-dev
-Conflicts: libsemanage-dev
+Breaks: libsemanage1-dev (<< 3.2)
+Replaces: libsemanage1-dev (<< 3.2)
 Multi-Arch: same
 Description: Header files and libraries for SELinux policy manipulation
  This package provides an API for the management of SELinux policies.
@@ -145,10 +141,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 3.1),
+Depends: libsepol1 (>= 3.2),
          python3 (>= 3.2),
-         python3-selinux (>= 3.1),
-         python3-semanage (>= 3.1),
+         python3-selinux (>= 3.2),
+         python3-semanage (>= 3.2),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
