## libsemanage 3.3

=== debian/changelog ===
libsemanage (3.3-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:06:36 +0100

libsemanage (3.3-1build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 18:05:49 -0300

libsemanage (3.3-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable build hardening
  * d/rules: Enable -Wall -Wextra
  * d/control: Convert cute fields
  * d/control: Declare semanage-utils Architecture all

  [ Laurent Bigonville ]
  * debian/control: Properly depend against libsepol2 instead of libsepol1
  * New upstream version 3.3
    - debian/control: Bump {build-}dependencies to match new release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)
  * debian/control: Relax the versioned dependency against -common a bit

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 15:01:36 +0100
