=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: libsemanage
-VCS-Git: https://salsa.debian.org/selinux-team/libsemanage.git
-VCS-Browser: https://salsa.debian.org/selinux-team/libsemanage
+Vcs-Git: https://salsa.debian.org/selinux-team/libsemanage.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/libsemanage
 Priority: optional
 Section: libdevel
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends: bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
                flex,
@@ -16,13 +16,13 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.2),
-               libsepol-dev (>= 3.2),
+               libselinux1-dev (>= 3.3),
+               libsepol-dev (>= 3.3),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.2) <!nocheck>,
+               secilc (>= 3.3) <!nocheck>,
                swig <!nopython> <!noruby>
-Homepage: http://userspace.selinuxproject.org/
+Homepage: https://selinuxproject.org
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
 
@@ -48,7 +48,7 @@
 Package: libsemanage2
 Architecture: linux-any
 Section: libs
-Depends: libsemanage-common (= ${source:Version}),
+Depends: libsemanage-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: policycoreutils (<< 3.0),
@@ -76,9 +76,9 @@
 Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.2),
+         libselinux1-dev (>= 3.3),
          libsemanage2 (= ${binary:Version}),
-         libsepol-dev (>= 3.2),
+         libsepol-dev (>= 3.3),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libsemanage1-dev (<< 3.2)
@@ -140,11 +140,11 @@
  Control, and Multi-level Security.
 
 Package: semanage-utils
-Architecture: linux-any
-Depends: libsepol1 (>= 3.2),
-         python3 (>= 3.2),
-         python3-selinux (>= 3.2),
-         python3-semanage (>= 3.2),
+Architecture: all
+Depends: libsepol2 (>= 3.3),
+         python3 (>= 3.3),
+         python3-selinux (>= 3.3),
+         python3-semanage (>= 3.3),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
