=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/dpkg/architecture.mk
 # for cross compilation
@@ -28,8 +30,8 @@
 # Upstream recommends using this flag
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
-# missing (hardening) flags.
-export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
+# missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
+export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
 
 %:
 	dh $@ $(DH_ADDONS)
@@ -77,9 +79,6 @@
 	done;
 endif
 
-override_dh_missing:
-	dh_missing --list-missing
-
 override_dh_fixperms:
 	dh_fixperms
 ifneq ($(filter python3-semanage,$(DOPACKAGES)),)
