=== debian/changelog ===
libsemanage (3.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/libsemanage2.symbols: Add newly exported symbols
  * Enable GPG key validation of the upstream tarball

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 19:10:35 +0200
