=== debian/control ===
--- 
+++ 
@@ -16,11 +16,11 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev <!nocheck>,
-               libselinux1-dev (>= 3.3),
-               libsepol-dev (>= 3.3),
+               libselinux1-dev (>= 3.4),
+               libsepol-dev (>= 3.4),
                pkg-config,
                python3-all-dev <!nopython>,
-               secilc (>= 3.3) <!nocheck>,
+               secilc (>= 3.4) <!nocheck>,
                swig <!nopython> <!noruby>
 Homepage: https://selinuxproject.org
 XS-Ruby-Versions: all
@@ -76,9 +76,9 @@
 Package: libsemanage-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 3.3),
+         libselinux1-dev (>= 3.4),
          libsemanage2 (= ${binary:Version}),
-         libsepol-dev (>= 3.3),
+         libsepol-dev (>= 3.4),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libsemanage1-dev (<< 3.2)
@@ -141,10 +141,10 @@
 
 Package: semanage-utils
 Architecture: all
-Depends: libsepol2 (>= 3.3),
-         python3 (>= 3.3),
-         python3-selinux (>= 3.3),
-         python3-semanage (>= 3.3),
+Depends: libsepol2 (>= 3.4),
+         python3 (>= 3.2),
+         python3-selinux (>= 3.4),
+         python3-semanage (>= 3.4),
          ${misc:Depends},
          ${python3:Depends}
 Section: admin
